Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.script
Class PolicyAdmin

    java.lang.Object
      oracle.ifs.admin.tools.script.PolicyAdmin

    public class PolicyAdmin

extends java.lang.Object

The `PolicyAdmin.java` class - colleciton of Policy admin tasks test.

Field Summary
`protected AdminManager` | `m_Main`

Constructor Summary
`PolicyAdmin(AdminManager main)` The only constructor that is being used.

Method Summary
`protected void` | `createPolicy(LibrarySession sess, ParameterTable params)` Section variant of Create Policy
`protected void` | `createPolicy(LibrarySession sess, PolicyDefinition def)` internal variant of Create Policy
`protected void` | `createPolicy(LibrarySession sess, java.lang.String nameToken, java.lang.String operationToken, java.lang.String implementationNameToken)` inline variant of Create Policy
`protected void` | `freePolicy(LibrarySession sess, ParameterTable params)` Section variant of Free Policy
`protected void` | `freePolicy(LibrarySession sess, java.lang.String name)` Inline/internal variant of Free Policy
`protected Policy` | `lookupPolicy(LibrarySession sess, java.lang.String name)` Lookup Policy by name
`protected void` | `modifyPolicy(LibrarySession sess, ParameterTable params)` Section variant of Modify Policy
`protected void` | `modifyPolicy(LibrarySession sess, java.lang.String name, PolicyDefinition def)` internal variant of Modify Policy
`protected void` | `showPolicy(LibrarySession sess, ParameterTable params)` Section variant of showPolicy
`protected void` | `showPolicy(LibrarySession sess, Policy policy)`
`protected void` | `showPolicy(LibrarySession sess, java.lang.String policyname)` Inline/internal variant of showPolicy

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_Main

    protected AdminManager m_Main

Constructor Detail

### PolicyAdmin

    public PolicyAdmin(AdminManager main)

  The only constructor that is being used.

  Parameters:
    `main` - Reference to AdminManager which invokes this.

Method Detail

### createPolicy

    protected void createPolicy(LibrarySession sess,
                                ParameterTable params)
                         throws IfsException

  Description copied from class: `PolicyAdmin`
  Section variant of Create Policy

  Throws:
    `IfsException`

### createPolicy

    protected void createPolicy(LibrarySession sess,
                                java.lang.String nameToken,
                                java.lang.String operationToken,
                                java.lang.String implementationNameToken)
                         throws IfsException

  Description copied from class: `PolicyAdmin`
  inline variant of Create Policy

  Throws:
    `IfsException`

### createPolicy

    protected void createPolicy(LibrarySession sess,
                                PolicyDefinition def)
                         throws IfsException

  Description copied from class: `PolicyAdmin`
  internal variant of Create Policy

  Throws:
    `IfsException`

### modifyPolicy

    protected void modifyPolicy(LibrarySession sess,
                                ParameterTable params)
                         throws IfsException

  Description copied from class: `PolicyAdmin`
  Section variant of Modify Policy

  Throws:
    `IfsException`

### modifyPolicy

    protected void modifyPolicy(LibrarySession sess,
                                java.lang.String name,
                                PolicyDefinition def)
                         throws IfsException

  Description copied from class: `PolicyAdmin`
  internal variant of Modify Policy

  Throws:
    `IfsException`

### freePolicy

    protected void freePolicy(LibrarySession sess,
                              ParameterTable params)
                       throws IfsException

  Description copied from class: `PolicyAdmin`
  Section variant of Free Policy

  Throws:
    `IfsException`

### freePolicy

    protected void freePolicy(LibrarySession sess,
                              java.lang.String name)
                       throws IfsException

  Description copied from class: `PolicyAdmin`
  Inline/internal variant of Free Policy

  Throws:
    `IfsException`

### showPolicy

    protected void showPolicy(LibrarySession sess,
                              ParameterTable params)
                       throws IfsException

  Description copied from class: `PolicyAdmin`
  Section variant of showPolicy

  Throws:
    `IfsException`

### showPolicy

    protected void showPolicy(LibrarySession sess,
                              java.lang.String policyname)
                       throws IfsException

  Description copied from class: `PolicyAdmin`
  Inline/internal variant of showPolicy

  Throws:
    `IfsException`

### showPolicy

    protected void showPolicy(LibrarySession sess,
                              Policy policy)
                       throws IfsException

  Throws:
    `IfsException`

### lookupPolicy

    protected Policy lookupPolicy(LibrarySession sess,
                                  java.lang.String name)
                           throws IfsException

  Description copied from class: `PolicyAdmin`
  Lookup Policy by name

  Throws:
    `IfsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD